%global drupaldir %{_datadir}/drupal7

Name:    drupal7-token
Version: 1.4
Release: 1%{?dist}
Summary: Provides a method for site designers to control content presentation

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/token
Source0: http://ftp.drupal.org/files/projects/token-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
Tokens are small bits of text that can be placed into larger documents
via simple placeholders.
The Token module provides a central API for modules to use these tokens,
and expose their own token values.

%prep

%setup -qn token

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/token
cp -pr * %{buildroot}%{drupaldir}/modules/token

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/token
%exclude %{drupaldir}/modules/token/*.txt

%changelog
* Thu Sep 27 2012 Peter Borsa <peter.borsa@gmail.com> - 1.4-1
- New upstream version.

* Fri Sep 14 2012 Peter Borsa <peter.borsa@gmail.com> - 1.3-1
- New upstream version.

* Mon Aug 13 2012 Peter Borsa <peter.borsa@gmail.com> - 1.2-1
- New upstream version.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Paul W. Frields <stickster@gmail.com> - 1.1-1
- New upstream version.

* Tue Apr 17 2012 Peter Borsa <peter.borsa@gmail.com> - 1.0-1
- New upstream version.

* Wed Feb 29 2012 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.4.rc1
- New upstream version.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.beta7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 29 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.2.beta7
- New upstream version.

* Fri Sep 23 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.beta5
- Initial packaging
